Edit an existing egress rule
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id uniquely identifies the cluster owning the egress rule.
rule_id is the UUID of an existing egress rule. This field is required.
Body
description is text that serves to document the rules purpose.
destination is a CIDR range or fully-qualified domain name to which outgoing traffic should be allowed. This field is required.
idempotency_key uniquely identifies this request. If not set, it will be set by the server.
Deprecated: This field is ignored and will be removed in the next version. paths are the allowed URL paths. If empty, all paths are allowed. Only valid if Type="FQDN".
ports are the allowed ports for TCP protocol. If empty, all ports are allowed.
type is the destination type of this rule. Example values are FQDN or CIDR. This field is required.
Response
A successful response.
EgressRule represents a network egress rule.

